/********************************************
* Zeus CMD - C++ Tutorial 51 : This Pointer *
* By Grant James (ZEUS)                     *
* http://www.zeuscmd.com                    *
********************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

class Player
{

public :

	Player() : health(100), mana(50) {}

	// Getters
	int getHealth() const { return health; }
	int getMana() const { return mana; }

	// Setters
	void setHealth(int h) { health = h; }
	void setMana(int m) { mana = m; }

	void castBerserker();

private :

	int health;
	int mana;
};

void Player::castBerserker()
{
	this->setMana(mana - 10);
	this->setHealth(getHealth() - 10);
}

int main()
{
	Player grant;
	grant.castBerserker();

	cout << "Grant : "
		<< grant.getHealth() << " "
		<< grant.getMana() << endl;

	system("pause");

	return 0;
}
